1. Earn
Bitpanda API
  • REST API
    • Overview
    • API key generation
    • Migrating from the legacy API
    • Endpoints
      • Quotes
        • Create a trading quote
        • Accept a trading quote
      • Portfolio
        • Get portfolio overview
        • Get portfolio performance history
      • Operations
        • List operations
      • Currencies
        • List available currencies
      • Assets
        • List available assets
      • Earn
        • Execute an earn action (stake or unstake)
          POST
        • List earn asset configurations
          GET
      • Tickers
        • Get the ticker for a given asset
      • Trading Limits
        • Get current trading limits and remaining budget
        • Set daily trading volume limits for this API key
    • Schemas
      • CreateQuoteRequest
      • CreateQuoteResponse
      • QuoteDetailResponse
      • SingleItemResponseCreateQuoteResponse
      • AcceptQuoteExecutionResponse
      • AcceptQuoteResponse
      • AcceptQuoteTaxResponse
      • SingleItemResponseAcceptQuoteResponse
      • EarnActionRequest
      • EarnActionResponse
      • SingleItemResponseEarnActionResponse
      • SingleItemResponseTickerResponse
      • TickerResponse
      • ListItemResponsePortfolioPositionResponse
      • MoneyResponse
      • PortfolioPositionResponse
      • Data
      • Datapoint
      • PortfolioHistoryResponse
      • CompensatesInfoResponse
      • OperationResponse
      • OperationTransactionResponse
      • PaginatedListItemResponseOperationResponse
      • TradeResponse
      • EarnAssetConfigResponse
      • PaginatedListItemResponseEarnAssetConfigResponse
      • CurrencyResponse
      • ListItemResponseCurrencyResponse
      • AssetResponse
      • PaginatedListItemResponseAssetResponse
  • MCP Server
    • Getting Started
  • Rate Limits
    • API and MCP Rate Limits
  • Feedback & Support
    • Community Hub
  1. Earn

Execute an earn action (stake or unstake)

POST
/v1/earn/actions/{action}

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Body Params application/jsonRequired

Example
{
    "config_id": "d1d31429-d888-4f1c-b9c1-4e842f9bce5b",
    "wallet_id": "d9a8fbfc-848f-43a2-9168-911ed3a04a48",
    "asset_amount": 0
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.public.bitpanda.com/v1/earn/actions/' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "config_id": "d1d31429-d888-4f1c-b9c1-4e842f9bce5b",
    "wallet_id": "d9a8fbfc-848f-43a2-9168-911ed3a04a48",
    "asset_amount": 0
}'

Responses

🟢200OK
*/*
Earn action initiated successfully
Body*/*

Example
{
    "data": {
        "status": "string"
    }
}
🟠400Bad Request
🟠404Record Not Found
Modified at 2026-08-03 13:07:26
Previous
List available assets
Next
List earn asset configurations
Built with